function plotOutputActivation(data, figstring, titlestring, legendstring)
%subfuntion that plots output activation 

% Copyright (C) 2006-2008  Anna Thorwart and Holger Schultheis

figure ('Name', figstring);
style=linestyle(size(data,2));
data(data== -32767) = NaN;

for i = 1: size(data,2)
    %Zeiche Grafik mit Legende und Achsenbeschriftung
    hl(i)=plot(data(:,i),style{i});
    hold on;
end
title(titlestring)
xlabel('trials'), ylabel('activation');
legend(hl,legendstring, 'Location', 'NorthEastOutside');